> For the complete documentation index, see [llms.txt](https://docs.servoy.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.servoy.com/reference/servoy-cloud/cloud-control-center/application-overview/applications/environments/metrics/system-health.md).

# System Health

## Overview

The System Health dashboard summarizes the health status of your environment, real time and over time. It monitors and displays information about:

* System Interruptions
* CPU usage on each environment node
* RAM usage on each environment node

## Metrics

### CPU % over time

Represents the percentage of CPU resources that your Servoy application consumes over a given period. High CPU usage can occur when processing intense activities, such as extensively looping over items without utilizing caching mechanisms to improve efficiency.

### RAM % over time

Indicates the percentage of the server's total RAM used by your Servoy application at any given time on each environment node. High memory usage can result from actions like keeping large files in variables for extended periods, which consumes more memory.

### System Interruptions over 28 days

Provides a visual representation of the system interruptions that have occurred over the last 28 days, along with the corresponding builds that may have caused this downtime.

## Performance alerts

### Needs Attention

Marked with a yellow warning icon, any node having average CPU usage above 50% for an hour or more needs attention

### Critical

Marked with a red warning icon, any node having average CPU or RAM usage above 80% for an hour or more is critical

\\


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.servoy.com/reference/servoy-cloud/cloud-control-center/application-overview/applications/environments/metrics/system-health.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
